/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}


/* Modal Content */
.modal-content {
    position: relative;
    background-color: white;
    margin: auto;
    width: 35vw;
    max-width: 700px;
    padding: 0;
    border: 1px solid #888;
    display: flex;
    flex-direction: column;

    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
    width: 35vw;
    max-width: 700px;
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {top:-300px; opacity:0} 
    to {top:0; opacity:1}
}

@keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

/* The Close Button */
.close {
    color: black;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: pink;
    text-decoration: none;
    cursor: pointer;
}

/*bagian modal yang berisi header dan div tombol close*/
.modal-header {
    padding: 2px 16px;
    height: 100px;
    font-size: 2.5vw;
    color: black;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

@media screen and (min-width: 2140px) {
    .modal-header {
       font-size: 53.5px;
    }
  }

/*bagian modal yang berisi div yang berisi .field dan .label */
.modal-body {
    padding: 2px 16px;
    display: flex;
    justify-content: space-around;
    height: 220px;
}

/*div yang berisi label dan textbox, atau label yang digunakan untuk memberi jarak */
.field{
    display: flex;
    justify-content: flex-start;
    /* Ini untuk memberi jarak antara textbox dan label nama lengkap dengan label dan textbox testimoni */
    min-height: 20px;
}

/*class untuk div yang berisi label untuk textbox */
.label{
    width: 10vw;
    font-size: 1.3vw;
}

.testimoni_form{
    flex: 1;
}
.form-container{
    flex: 1;
    width: 8vw;
    display: flex;
}
#id_testimony{
    flex: 1;
}

#id_name{
    flex: 1;
    width: 1vw;
}



/*bagian modal yang berisi tombol kumpul */
.modal-footer { 
    padding: 0px 16px 10px;
    /*flex: 1 untuk membuat konten tetap berada di dalam div .modal-content*/
    flex: 1;
    color: black;
    /* Ini untuk mengatur agar tombol kumpulnya mengarah ke kiri */
    display: flex;
    justify-content: flex-end;
}

/*class untuk div yang berisi close button*/
.close-button{
    display: flex;
    flex: 1;
    justify-content: flex-end;
    align-content: flex-start;
}